about summary refs log tree commit diff stats
path: root/c/test
diff options
context:
space:
mode:
authorSoispha <soispha@vhack.eu>2023-08-21 01:24:12 +0200
committerSoispha <soispha@vhack.eu>2023-08-21 01:24:12 +0200
commit29db1ce52445a809ae9e4f7db2a19ccfa9904e31 (patch)
treecc5b8144b28ba7a2382892c45c235f9a0638b2b5 /c/test
parentFix(latex): Remove state full chapter files (diff)
downloadflake-templates-29db1ce52445a809ae9e4f7db2a19ccfa9904e31.tar.gz
flake-templates-29db1ce52445a809ae9e4f7db2a19ccfa9904e31.zip
Feat(c): Init
Diffstat (limited to 'c/test')
-rwxr-xr-xc/test14
1 files changed, 14 insertions, 0 deletions
diff --git a/c/test b/c/test
new file mode 100755
index 0000000..05d1fb5
--- /dev/null
+++ b/c/test
@@ -0,0 +1,14 @@
+#!/usr/bin/env bash
+
+CFLAGS=-ggdb3 make valgrind-out.txt
+
+printf "\n___RESULTS:___\n";
+if grep -q 'ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 0 from 0)' valgrind-out.txt; then
+     echo "No Memory leaks";
+else
+     echo "Memory leaks: " && tail valgrind-out.txt;
+     exit 1;
+fi
+
+
+# vim: ft=sh